package com.prodhack.moscow2025.domain.usecase.auth

import com.prodhack.moscow2025.domain.models.User
import com.prodhack.moscow2025.domain.interfaces.UserRepository
import org.koin.core.annotation.Single

@Single
class GetUserUseCase(
	private val userRepository: UserRepository
) {
	suspend operator fun invoke(): Result<User> = userRepository.fetchProfile()
}